AnsweredAssumed Answered

qemu-system-ppc64 vhost-net support is not compiled in

Question asked by Abhinav Bipnesh on Dec 23, 2014
Latest reply on Jan 4, 2015 by Abhinav Bipnesh

Hi,

 

While trying to bring ethernet interface using tap0 I am getting below errors

 

qemu-system-ppc64: -netdev tap,id=tap0,script=no,vhost=on: vhost-net support is not compiled in

qemu-system-ppc64: -netdev tap,id=tap0,script=no,vhost=on: vhost-net requested but could not be initialized

qemu-system-ppc64: -netdev tap,id=tap0,script=no,vhost=on: Device 'tap' could not be initialized

 

The command which I tried to fire is given below

 

sudo ~/QorIQ-SDK-V1.6-20140619-yocto/build_t1040rdb_release/tmp/sysroots/x86_64-linux/usr/bin/qemu-system-ppc64 -cpu e5500 -nographic -m 256 -M ppce500 -kernel uImage -initrd fsl-image-minimal-t1040rdb-20141223093206.rootfs.ext2.gz -append "root=/dev/ram rw console=ttyS0,115200" -serial tcp::4444,server,telnet -netdev tap,id=tap0,script=no,vhost=on -device virtio-net-pci,netdev=tap0

 

The system configuration is given below

Build Configuration:

BB_VERSION        = "1.22.0"

BUILD_SYS         = "x86_64-linux"

NATIVELSBSTRING   = "CentOS-7.0.1406"

TARGET_SYS        = "powerpc-fsl-linux"

MACHINE           = "t1040rdb"

DISTRO            = "fsl-networking"

DISTRO_VERSION    = "1.6"

TUNE_FEATURES     = "m32 fpu-hard e5500"

TARGET_FPU        = "hard"

meta

meta-yocto

meta-yocto-bsp    = "(detachedfromfsl-sdk-v1.6):0d2ce44c2b0f8cc9699e30cca2c24655be89d58b"

meta-fsl-ppc      = "(detachedfromfsl-sdk-v1.6):6cf59d9de63a9fc5f8942c0d10c622898f4315ce"

meta-fsl-ppc-toolchain = "(detachedfromfsl-sdk-v1.6):a546e42f86e7d57de19e27907365d170b13fc18f"

meta-fsl-networking

meta-fsl-networking = "(detachedfrom8dec9c6):8dec9c690188cce5305ef5055f91e5cfa35c63f4"

meta-virtualization

meta-virtualization = "(detachedfromfsl-sdk-v1.6):8044073f63a0d99541a43ac5f2f6d789f94c7c7c"

meta-oe

meta-networking

meta-webserver

meta-ruby

meta-filesystems  = "(detachedfromfsl-sdk-v1.6):b86007f742a1b829ccc8d76e485bb3f789cefaa4"

meta-java         = "(detachedfromfsl-sdk-v1.6):d01f7d39e513790ddce20e6724723722119a3700"

meta-openstack

meta-openstack-compute-deploy

meta-openstack-controller-deploy

meta-openstack-qemu = "(detachedfromfsl-sdk-v1.6):f627404399a134672e0b5e26a0d9b794a6f8adf4"

 

So any thoughts how to fix it as I tried even recompling the Kernel as given part of  http://www.freescale.com/infocenter/index.jsp?topic=%2FQORIQSDK%2F2888263.html but still I am getting same error.

 

Thanks,

Abhinav

Outcomes